# List all items of an invoice Retrieves the information about all items of a specified invoice. Endpoint: GET /v1/invoices/{invoiceKey}/items Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `pageSize` (integer) The number of records returned per page in the response. - `page` (integer) The index number of the page that you want to retrieve. This parameter is dependent on pageSize. You must set pageSize before specifying page. For example, if you set pageSize to 20 and page to 2, the 21st to 40th records are returned in the response. ## Path parameters: - `invoiceKey` (string, required) The unique ID or number of an invoice. For example, 2c92c8955bd63cc1015bd7c151af02ab or INV00000001. ## Response 200 fields (application/json): - `invoiceItems` (array) Container for invoice items. - `invoiceItems.accountingCode` (string) The accounting code associated with the invoice item. - `invoiceItems.adjustmentLiabilityAccountingCode` (string) The accounting code for adjustment liability. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItems.adjustmentRevenueAccountingCode` (string) The accounting code for adjustment revenue. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItems.appliedToItemId` (string) The unique ID of the invoice item that the discount charge is applied to. - `invoiceItems.availableToCreditAmount` (number) The amount of the invoice item that is available to credit. - `invoiceItems.balance` (string) The balance of the invoice item. Note: This field is only available if you have the Invoice Settlement feature enabled. - `invoiceItems.bookingReference` (string) The booking reference of the invoice item. - `invoiceItems.chargeAmount` (string) The amount of the charge. Note: This amount does not include taxes regardless if the charge's tax mode is inclusive or exclusive. This is the discount amount actually applied when the invoice item is a discount charge. - `invoiceItems.chargeDate` (string) The date when the invoice item is charged, in yyyy-mm-dd hh:mm:ss format. - `invoiceItems.chargeDescription` (string) The description of the charge. - `invoiceItems.chargeId` (string) The unique ID of the charge. - `invoiceItems.chargeName` (string) The name of the charge. - `invoiceItems.chargeType` (string) The type of the charge. Enum: "OneTime", "Recurring", "Usage" - `invoiceItems.commitmentId` (string) The ID of the commitment. - `invoiceItems.commitmentPeriodId` (string) The ID of the commitment period. - `invoiceItems.contractAssetAccountingCode` (string) The accounting code for contract asset. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItems.contractLiabilityAccountingCode` (string) The accounting code for contract liability. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItems.contractRecognizedRevenueAccountingCode` (string) The accounting code for contract recognized revenue. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItems.deferredRevenueAccountingCode` (string) The deferred revenue accounting code associated with the invoice item. Note: This field is only available if you have Zuora Finance enabled. - `invoiceItems.description` (string) The description of the invoice item. - `invoiceItems.excludeItemBillingFromRevenueAccounting` (boolean) The flag to exclude the invoice item from revenue accounting. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItems.fulfillmentId` (string) The reference ID of the fulfillment associated with the invoice item. - `invoiceItems.id` (string) Item ID. - `invoiceItems.invoiceScheduleId` (string) The ID of the invoice schedule item by which Invoice Schedule Item the invoice item is generated by when the Invoice Schedule Item is executed. Note: This field is available only if you have the Billing Schedule feature enabled. - `invoiceItems.invoiceScheduleItemId` (string) The ID of the invoice schedule item associated with the invoice item. Note: This field is available only if you have the Billing Schedule feature enabled. - `invoiceItems.itemType` (string) The type of the invoice item. - `invoiceItems.numberOfDeliveries` (number) The number of deliveries dedicated to the Delivery Pricing charges. Note: This field is available only if you have the Delivery Pricing feature enabled. - `invoiceItems.orderLineItemId` (string) The reference ID of the oder line item associated with the invoice item. - `invoiceItems.processingType` (string) The kind of the charge for the invoice item. Enum: "Charge", "Discount", "Prepayment", "Tax", "Rounding" - `invoiceItems.productName` (string) Name of the product associated with this item. - `invoiceItems.productRatePlanChargeId` (string) The ID of the product rate plan charge that the invoice item is created from. - `invoiceItems.purchaseOrderNumber` (string) The purchase order number associated with the invoice item. - `invoiceItems.quantity` (string) The quantity of this item, in the configured unit of measure for the charge. - `invoiceItems.reflectDiscountInNetAmount` (boolean) When you apply percentage discounts to either of the following charges, you need to set the reflectDiscountInNetAmount field on your discount charge to true, to enable calculating and displaying the net amount of the following charges in Zuora Revenue. * delivery pricing charge * prepayment charge * drawdown charge Note the following: * If you are an Order to Revenue customer, when you set the reflectDiscountInNetAmount field to true, you must also set both the excludeItemBookingFromRevenueAccounting and ExcludeItemBillingFromRevenueAccounting fields to true. * If you are a Billing - Revenue Integration customer, you must set the reflectDiscountInNetAmount field to false, otherwise an error will be returned. Billing - Revenue Integration does not support discounts on the preceding charges. * If you are a Zuora Billing customer who does not enable the Order to Revenue or Billing - Revenue Integration feature, when you apply percentage discounts to the preceding charges, you also need to set the reflectDiscountInNetAmount field to true. - `invoiceItems.recognizedRevenueAccountingCode` (string) The recognized revenue accounting code associated with the invoice item. Note: This field is only available if you have Zuora Finance enabled. - `invoiceItems.revRecCode` (string) The revenue recognition code. - `invoiceItems.revRecTriggerCondition` (string) The date when revenue recognition is triggered. Enum: "ContractEffectiveDate", "ServiceActivationDate", "CustomerAcceptanceDate" - `invoiceItems.revenueRecognitionRuleName` (string) The revenue recognition rule of the invoice item. Note: This field is only available if you have Zuora Finance enabled. - `invoiceItems.serviceEndDate` (string) The end date of the service period for this item, i.e., the last day of the service period, as _yyyy-mm-dd_. - `invoiceItems.serviceStartDate` (string) The start date of the service period for this item, as _yyyy-mm-dd_. For a one-time fee item, the date of the charge. - `invoiceItems.sku` (string) The SKU of the invoice item. - `invoiceItems.shipToContactId` (string) The ID of the ship-to contact associated with the invoice item. - `invoiceItems.soldToContactId` (string) The ID of the sold-to contact associated with the invoice item. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `invoiceItems.soldToContactSnapshotId` (string) The ID of the sold-to contact snapshot associated with the invoice item. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `invoiceItems.sourceItemType` (string) The type of the source item. Enum: "SubscriptionComponent", "Rounding", "ProductRatePlanCharge", "None", "OrderLineItem" - `invoiceItems.subscriptionId` (string) The ID of the subscription for this item. - `invoiceItems.subscriptionName` (string) The name of the subscription for this item. - `invoiceItems.taxAmount` (string) Tax applied to the charge. - `invoiceItems.taxCode` (string) The tax code of the invoice item. Note Only when taxation feature is enabled, this field can be presented. - `invoiceItems.taxMode` (string) The tax mode of the invoice item. Note Only when taxation feature is enabled, this field can be presented. - `invoiceItems.taxationItems` (object) Container for the taxation items of the invoice item. - `invoiceItems.taxationItems.data` (array) List of taxation items. - `invoiceItems.taxationItems.data.availableToCreditAmount` (number) The amount of the invoice taxation item that is available to credit. - `invoiceItems.taxationItems.data.applicableTaxUnRounded` (number) The unrounded amount of the tax. - `invoiceItems.taxationItems.data.country` (string) The field which contains country code. - `invoiceItems.taxationItems.data.balance` (number) The balance of the taxation item. - `invoiceItems.taxationItems.data.creditAmount` (number) The amount of credit memos applied to the taxation item. - `invoiceItems.taxationItems.data.exemptAmount` (number) The calculated tax amount excluded due to the exemption. - `invoiceItems.taxationItems.data.id` (string) The ID of the taxation item. - `invoiceItems.taxationItems.data.jurisdiction` (string) The jurisdiction that applies the tax or VAT. This value is typically a state, province, county, or city. - `invoiceItems.taxationItems.data.locationCode` (string) The identifier for the location based on the value of the taxCode field. - `invoiceItems.taxationItems.data.name` (string) The name of the taxation item. - `invoiceItems.taxationItems.data.paymentAmount` (number) The amount of payments applied to the taxation item. - `invoiceItems.taxationItems.data.taxAmount` (number) The amount of taxation. - `invoiceItems.taxationItems.data.taxCode` (string) The tax code identifies which tax rules and tax rates to apply to a specific invoice. - `invoiceItems.taxationItems.data.taxCodeDescription` (string) The description of the tax code. - `invoiceItems.taxationItems.data.taxDate` (string) The date that the tax is applied to the invoice, in yyyy-mm-dd format. - `invoiceItems.taxationItems.data.taxRate` (number) The tax rate applied to the invoice. - `invoiceItems.taxationItems.data.taxRateDescription` (string) The description of the tax rate. - `invoiceItems.taxationItems.data.taxRateType` (string) The type of the tax rate. Enum: "Percentage", "FlatFee" - `invoiceItems.taxationItems.nextPage` (string) URL to retrieve the next page of the response if it exists; otherwise absent. - `invoiceItems.unbilledReceivablesAccountingCode` (string) The accounting code for unbilled receivables. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItems.unitOfMeasure` (string) Unit used to measure consumption. - `invoiceItems.unitPrice` (number) The per-unit price of the invoice item. Note: For discount charges, this represents the discount percentage (for percentage-based discounts) or the discount amount (for fixed-amount discounts). - `invoiceItems.IntegrationId__NS` (string) ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `invoiceItems.IntegrationStatus__NS` (string) Status of the invoice item's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `invoiceItems.SyncDate__NS` (string) Date when the invoice item was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `success` (boolean) Returns true if the request was processed successfully. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.